---
Title: Hosts
Description: Réunit les variables propres aux rôles des machines prises individuellement.
Weight: 10
---

Les fichiers d'**Hosts** décrivent une machine d'un *cluster*, qui peut alors être une machine virtuelle ou physique. Ces fichiers permettent de lier différents types de configurations, en décrivant :

- Le nom du [cluster]({{< ref "configuration/clusters" >}}) de la machine
- Ses informations réseau, sa version de kernel, de layers systèmes, etc...
- Toute donnée unique à cette machine propre à son rôle au sein du cluster (par exemple master, compute node, etc...)

Quand le Direktil Local Server génère sa configuration, il utilise ces liens pour génerer une configuration complète pour chaque machine.

## Sample

{{% notice note %}}
A noter que toutes données déjà présente dans la configuration de cluster sera héritée par cette configuration. Certaines données ci-dessous sont donc dispensables et affichées par commodité.
{{% /notice %}}

{{< highlight yaml >}}
ip: 10.42.0.11
cluster: base
kernel: 5.15.84
versions:
  init:       2.0.1
  system:     v22.52.0
  kubernetes: v1.26.4_containerd.1.6.12
vars:
  enable_minio: true
  (...)
{{< / highlight >}}

